11 Replies Latest reply: Oct 28, 2009 2:38 PM by g_gilmore
smiledk Level 1 Level 1 (0 points)
Okay, so I need to install the drivers for windows. This means I need service pack 3. I can't install service pack 3 because I have Bootcamp 2.0. I downloaded the bootcamp 2.1 update, burned it to a CD, then booted up windows to install it. I double click the .exe file to run it and I get the following message after a couple seconds.

"The ordinal 264 could not be located in the dynamic link library msi.dll."

I have no idea what to do now. I did a google search but I only came up with a single result from some French forums. I searched the forums and apple website and found nothing.

Any idea? I burned it while running Mac OS X. Do I need to burn it on a PC running windows for some reason?

MacBook
  • 1. Re: Can't update Bootcamp to 2.1
    Fortuny Level 7 Level 7 (21,415 points)
    Hi smiledk and welcome to Discussions,

    while it usually should not make any difference whether a file is downloaded in OSX or Windows, with the BCUpdate 2.1 and the SP3 stand-alone updater, I have heard of some difficulties when not downloaded in Windows.

    So if you have the possibility, try downloading them while in Windows.

    Regards

    Stefan
  • 2. Re: Can't update Bootcamp to 2.1
    smiledk Level 1 Level 1 (0 points)
    I can try that, but I need to go over to my friend's house to do that because only my macbook has a CD burner, and I can't download anything in Windows yet because I can't get anything to work on it until I get bootcamp updated. :S

    Anyone have any other ideas?
  • 3. Re: Can't update Bootcamp to 2.1
    Fortuny Level 7 Level 7 (21,415 points)
    If you have a USB-Memory-Stick with a size of 1GB or more, use that.

    No need to burn a disc.

    Stefan
  • 4. Re: Can't update Bootcamp to 2.1
    smiledk Level 1 Level 1 (0 points)
    I do not, but it doesn't matter anyway because none of the USB ports work without the drivers that I can't install because boot camp won't update.

    Or at least I'm pretty sure the USB ports don't work. I can go ahead and test that. If they do then I can probably borrow one from a friend.
  • 5. Re: Can't update Bootcamp to 2.1
    Fortuny Level 7 Level 7 (21,415 points)
    Hi,

    I do not, but it doesn't matter anyway because none of the USB ports work without the drivers that I can't install because boot camp won't update.


    Since you have BootCamp Driver 2.0 installed, the USB ports should work right now.

    Or at least I'm pretty sure the USB ports don't work. I can go ahead and test that. If they do then I can probably borrow one from a friend.


    If I remember correctly a 'basic' USB driver from Microsoft should even be installed prior to the BootCamp Drivers installation.

    Stefan
  • 6. Re: Can't update Bootcamp to 2.1
    JGFilho Level 1 Level 1 (0 points)
    Hi, I have some similar experience with BootCamp update.

    I install the BC 2.0 version, and tried to update this version using APPLE SOFTWARES UPDATE (that recognize a update but do not install ... I received the message: ... ERROS OCCOURS ...).

    After this, I downloaded the BCUPDATEXP.EXE from Apple Support Page, and tried to execute in Windows and ... NOTHING HAPPENED .

    I searched for a solution but this do not work.

    What is the problem (or solution) in this case ? Is this a isolated case OR, how I found in my search, is a problem that affect several users (like me) ?

    Regards

    JGFilho
  • 7. Re: Can't update Bootcamp to 2.1
    trculver Level 1 Level 1 (0 points)
    I have the exact same problem and no solution.
  • 8. Re: Can't update Bootcamp to 2.1
    The hatter Level 9 Level 9 (58,880 points)
    Try changing the language, search the net and I'm sure you'll find how.
  • 9. Re: Can't update Bootcamp to 2.1
    Tavster Level 1 Level 1 (0 points)
    Same Problem.

    Followed advice and downloaded BCUpdateXP from a PC: burned it and ran it from the Bootcamped Mac Mini.

    "The ordinal 264 could not be located in the dynamic link library msi.dll" This problem should be addressed as it seems to be recurrent.

    Perhaps a virtualization solution is better than Bootcamp.
  • 10. Re: Can't update Bootcamp to 2.1
    g_gilmore Level 1 Level 1 (100 points)
    Same problem here. Wiped the drive and reinstalled everything, still getting the error:

    "BCLocUpdateEnable.exe - Ordinal Note Found

    X - The ordinal 264 could not be located in the dynamic link library msi.dll"

    Any updates on this?
  • 11. Re: Can't update Bootcamp to 2.1
    g_gilmore Level 1 Level 1 (100 points)
    Even updated the msi.dll file and no luck. Looks like you just cannot use a SP1 disk for your XP install. Will need to find a friend with a SP2 disk (which I can use my SP1 key for).